Bug 108561 - Mail Merge Wizard stops at salutation screen
Summary: Mail Merge Wizard stops at salutation screen
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2017-06-16 06:48 UTC by Conor
Modified: 2018-08-09 02:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Documents required to recreate this bug (22.70 KB, application/x-zip-compressed)
2017-06-22 07:55 UTC, Conor
Details
Error I get (78.82 KB, image/png)
2017-06-22 15:30 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Conor 2017-06-16 06:48:33 UTC
Description:
Upon reaching the salutation screen of the Mail merge wizard, attempting to send an email, the next button does nothing. It is not possible to progress to the next page.

Steps to Reproduce:
1. Create a spreadsheet
2. Create a database from it as a data source
3. Start mail merge wizard using this data source, click next until the salutation screen. Clicking next now does nothing.

Actual Results:  
Cannot progress to sending the mail.

Expected Results:
The next button should continue to the next screen of the wizard


Reproducible: Always

User Profile Reset: Yes

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:53.0) Gecko/20100101 Firefox/53.0
Comment 1 Conor 2017-06-16 07:07:25 UTC
Mail merge wizard worked correctly in version 5.0.0.2
Comment 2 Xisco Faulí 2017-06-16 08:56:50 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 3 Conor 2017-06-22 07:55:48 UTC
Created attachment 134205 [details]
Documents required to recreate this bug

The attached zip file contains a document (bug_test.ods) which makes use of the data from the bug_test.odb database to do a mail merge. The database is connected to the spreadsheet bug_test.ods.

When opening the mail merge wizard, progress stops at the salutation page and does not continue with the 'next' button.
Comment 4 Xisco Faulí 2017-06-22 15:29:48 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: 08f6f9dded1b142b858c455da03319abac691655
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 5 Xisco Faulí 2017-06-22 15:30:24 UTC
Created attachment 134211 [details]
Error I get
Comment 6 Xisco Faulí 2017-06-22 16:08:18 UTC
I can no longer reproduce the error...
Comment 7 QA Administrators 2018-08-09 02:35:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug